getSubscribeList(data: GetSubscribeListParams)
Requires:
@tuya-miniapp/cloud-api≥1.7.3
Description
Retrieve the list of subscription plans for the currently logged-in user, returning subscription status, renewal cycle, next billing time, and related order information.
Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
| Yes | Request parameters |
Return Value
Type: Promise<GetSubscribeListResult>
Paginated result. data is an array of subscription plans; each item includes the subscription ID, status, renewal cycle, next billing time, and associated order information.
Referenced Types
interface
GetSubscribeListResultResult of querying the subscription plan list| Property | Type | Description |
|---|---|---|
pageNum | number | Current page number |
pageSize | number | Page size |
index | number | Data offset for the current page |
pageCount | number | Total number of pages |
totalRecord | number | Total record count |
| Subscription plan list |